Page MenuHomePhabricator

Select: Space opens dropdown, but also scrolls the page
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

Steps to replicate the issue (include links if applicable):

In contrast to the ARIA APG example there is minor difference.

  • When triggering the menu with the Space key, the menu opens, but also the page scrolls slightly.
  • Additionally, Space key should also select the current active menu and close the menu equal to

What happens?:

  1. The page scrolls, where it shouldn't.
  2. The Space key doesn't select currently active Menu item

What should have happened instead?:

Software version:
Codex v0.20.0

Other information (browser name/version, screenshots, etc.):
Firefox or Chrome latest

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
CCiufo-WMF triaged this task as Medium priority.Sep 29 2023, 6:02 PM
CCiufo-WMF moved this task from Inbox to Up Next on the Design-System-Team board.
CCiufo-WMF set the point value for this task to 3.
CCiufo-WMF added a subscriber: CCiufo-WMF.

Time boxing per DST team norms.

scrolling is the default action for spacebar in browsers when not intercepted, sounds like a missing e.preventDefault() in the event handler ?

egardner raised the priority of this task from Medium to Needs Triage.Oct 2 2023, 6:53 PM
egardner moved this task from Up Next to Backlog on the Design-System-Team board.
lwatson changed the task status from Open to In Progress.Nov 3 2023, 5:22 PM
lwatson claimed this task.
lwatson updated Other Assignee, added: lwatson.
lwatson updated Other Assignee, removed: lwatson.

Change 972892 had a related patch set uploaded (by LWatson; author: LWatson):

[design/codex@main] Select: Prevent Space key from scrolling the page

https://gerrit.wikimedia.org/r/972892

Change 972892 merged by jenkins-bot:

[design/codex@main] Select: Prevent Space key from scrolling the page

https://gerrit.wikimedia.org/r/972892

Change 980902 had a related patch set uploaded (by Anne Tomasevich; author: Anne Tomasevich):

[mediawiki/core@master] Update Codex from v1.0.1 to v1.1.1

https://gerrit.wikimedia.org/r/980902

Test wiki created on Patch demo by ATomasevich (WMF) using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/d419984345/w

Change 980902 merged by jenkins-bot:

[mediawiki/core@master] Update Codex from v1.0.1 to v1.1.1

https://gerrit.wikimedia.org/r/980902